Bug 521525 - Review Request: gfs-philostratos-fonts - A revival of the “Griechische Antiqua” Greek typeface
Summary: Review Request: gfs-philostratos-fonts - A revival of the “Griechische Antiqu...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-06 18:38 UTC by Nicolas Mailhot
Modified: 2009-09-11 23:34 UTC (History)
4 users (show)

Fixed In Version: 20090902-1.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-11 23:34:15 UTC
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Nicolas Mailhot 2009-09-06 18:38:29 UTC

Comment 1 Nicolas Mailhot 2009-09-06 18:40:10 UTC
Spec URL: http://nim.fedorapeople.org/gfs-philostratos-fonts.spec
SRPM URL: http://nim.fedorapeople.org/gfs-philostratos-fonts-20090902-1.fc12.src.rpm

Description:

Griechische Antiqua was one of the historical Greek typefaces of the late 19th
and early 20th century. It was designed by Μaurice Εduard Pinder, a German
erudite artist and a member of the Academy of Science in Berlin. This is the
most popular version which has appeared from 1870 to 1940 in the German
speaking philological literature and in many classical and Byzantine editions
by publishers like Teubner (in Leipzig) and Weidmann (in Berlin) such as:
Anthology of Byzantine Melos by Wilhelm von Christ and Matthaios
Paranikas (Leipzig 1871), Epicurea, by Heinrich Usener (Leipzig 1887),
Mitrodorous by Alfred Koerte (Leipzig 1890), Pindar by Otto Schroeder (Leipzig
1908), του Aeschylus by U. von Wilamowitz-Moellendorff (Berlin 1910, 1915),
Bachylides by Bruno Snell (Leipzig, 1934),  The Vulgata by Alfred Rahlfs
(Stuttgart 1935), Suidas Lexicon by Ada Adler (Leipzig 1928-1938) etc.

E.J. Kenney lamented the abandonment of the type after the 2nd World War as a
great loss for Greek typography (“From Script to Print”, Greek Scripts: An
illustrated Introduction, Society for the Promotion of Hellenic Studies, 2001,
p. 69).

GFS Philostratos was digitized by George D. Matthiopoulos.

See also
http://fedoraproject.org/wiki/GFS_Philostratos_fonts

Comment 2 Parag AN(पराग) 2009-09-07 07:11:16 UTC
Review:
+ package builds in mock (rawhide i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1659288
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
ee6256e041c4a20487edd7d8cbfe46760e745c18  GFS_PHILOSTRATOS.zip
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ fonts scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.

APPROVED.

Comment 3 Nicolas Mailhot 2009-09-07 08:02:52 UTC
Many thanks for the quick review!

New Package CVS Request
=======================
Package Name: gfs-philostratos-fonts
Short Description: A revival of the “Griechische Antiqua” Greek typeface
Owners: nim
Branches: F-11
InitialCC: fonts-sig

Comment 4 Kevin Fenzi 2009-09-09 16:14:05 UTC
cvs done.

Comment 5 Fedora Update System 2009-09-09 21:13:42 UTC
gfs-philostratos-fonts-20090902-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/gfs-philostratos-fonts-20090902-1.fc11

Comment 6 Fedora Update System 2009-09-11 23:34:10 UTC
gfs-philostratos-fonts-20090902-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.